/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mq.sm.jdbc;

/**
 * MBean interface.
 * @todo add support for jmx operations to maintain the database
 * @todo create indices
 */
public interface JDBCStateManagerMBean extends org.jboss.mq.sm.AbstractStateManagerMBean
{

   javax.management.ObjectName getConnectionManager();

   void setConnectionManager(javax.management.ObjectName connectionManagerName);

   boolean hasSecurityManager();

   void setHasSecurityManager(boolean hasSecurityManager);

   /**
    * Gets the sqlProperties.
    * @return Returns a Properties    */
   java.lang.String getSqlProperties();

   /**
    * Sets the sqlProperties.
    * @param sqlProperties The sqlProperties to set    */
   void setSqlProperties(java.lang.String value);

}
